import { CommanderError } from 'commander';
/**
 * Create custom error handler for missing ID arguments
 * @param commandName The name of the command (e.g., 'start', 'complete')
 * @returns Error handler function
 */
export declare function createMissingIdErrorHandler(commandName: string): (err: CommanderError) => never;
/**
 * Create custom error handler for missing ticket ID in flow commands
 * @param commandName The name of the flow command (e.g., 'red', 'green')
 * @returns Error handler function
 */
export declare function createMissingFlowIdErrorHandler(commandName: string): (err: CommanderError) => never;
