import type { TicketService } from '../../services/interfaces/TicketService.js';
import type { Ticket } from '../types.js';
import { GitHubTicketService } from '../../services/implementations/GitHubTicketService.js';
/**
 * Check if service is GitHubTicketService
 */
export declare function isGitHubTicketService(service: TicketService): service is GitHubTicketService;
/**
 * Format ticket location display based on service type
 */
export declare function formatTicketLocation(ticket: Ticket, service: TicketService): string;
/**
 * Format ticket display for flow commands (enhanced version with description)
 */
export declare function formatTicketDisplay(ticket: Ticket, service: TicketService): string;
