import type { ProjectAnalyzer } from '../interfaces/ProjectAnalyzer.js';
import type { LanguageDetector } from '../interfaces/LanguageDetector.js';
import type { CommandDetector } from '../interfaces/CommandDetector.js';
import type { StructureAnalyzer } from '../interfaces/StructureAnalyzer.js';
import type { ProjectAnalysis } from '../../common/types/analyzer.js';
export declare class DefaultProjectAnalyzer implements ProjectAnalyzer {
    private rootPath;
    private languageDetector;
    private commandDetector;
    private structureAnalyzer;
    private cacheDir;
    private cacheFile;
    private cache;
    private cacheTimestamp;
    private readonly CACHE_DURATION;
    constructor(rootPath: string, languageDetector: LanguageDetector, commandDetector: CommandDetector, structureAnalyzer: StructureAnalyzer);
    analyzeProject(path?: string): Promise<ProjectAnalysis>;
    private performAnalysis;
    private getCachedAnalysis;
    private cacheAnalysis;
}
