import type { GitService } from '../interfaces/GitService.js';
export declare class SimpleGitService implements GitService {
    private git;
    constructor(basePath?: string);
    isRepository(): Promise<boolean>;
    hasUncommittedChanges(): Promise<boolean>;
    fetch(): Promise<void>;
    findBranches(pattern: string): Promise<string[]>;
    private cleanBranchName;
    createBranch(name: string): Promise<void>;
    checkout(name: string): Promise<void>;
    getCurrentBranch(): Promise<string>;
    getMergeBase(branch1: string, branch2: string): Promise<string>;
    getCommits(base: string): Promise<Array<{
        hash: string;
        message: string;
    }>>;
    moveFile(oldPath: string, newPath: string): Promise<void>;
    removeFile(filePath: string): Promise<void>;
}
